/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.ui.target.subscriber;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.internal.webdav.core.Policy;

/**
 * This page allows the user to choose either an existing deployment provider
 * of the provided type or choose a folder that is to be deployed
 */
public class ExportSourceSelectionPage extends DeploymentContainerSelectionPage {

	/**
	 * Create a new page.
	 * @param pageName the name of the page
	 * @param title the title of the page
	 * @param description the page description
	 * @param titleImage the title image
	 * @param providerType the deployment provider type to be displayed (i.e. the id of the provider)
	 */
	public ExportSourceSelectionPage(String pageName, String title, String description, ImageDescriptor titleImage, String providerType) {
		super(pageName, title, description, titleImage, providerType);
	}
	
	/**
	 * @return
	 */
	protected String getCreateNewDeploymentLabel() {
		return Policy.bind("ExportSourceSelectionPage.0"); //$NON-NLS-1$
	}

	/**
	 * @return
	 */
	protected String getExistingDeploymentLabel() {
		return Policy.bind("ExportSourceSelectionPage.1"); //$NON-NLS-1$
	}
}
