/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.ui.target.subscriber;

import org.eclipse.jface.dialogs.IDialogSettings;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.internal.core.target.Site;
import org.eclipse.team.internal.ui.target.TargetWizardPage;

/**
 * Defines the protocol need by the import and export wizards to
 * create new sites.
 */
public abstract class SiteCreationPage extends TargetWizardPage {

	private IDialogSettings settings;

	public SiteCreationPage(String pageName, String title, ImageDescriptor titleImage) {
		super(pageName, title, titleImage);
	}

	public void setDialogSettings(IDialogSettings settings) {
		this.settings = settings;
	}
	
	public IDialogSettings getDialogSettings() {
		return settings;
	}

	public abstract Site getSite();


}
